## crossfire-client 1.72.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(crossfire-client C)
set(VERSION 1.72.0)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

option(LUA "Lua scripting" OFF)
option(METASERVER2 "Metaserver2 support" ON)
option(OPENGL "OpenGL rendering" ON)
option(SDL "SDL rendering" ON)
option(SOUND "Sound support" ON)

add_definitions(-std=c99)

if(UNIX)
    # If Linux or other Unix-like, get gio to work by defining _BSD_SOURCE
    add_definitions(-D_BSD_SOURCE)
elseif(MINGW OR WIN32)
    add_definitions(-DWIN32)
    set(CMAKE_INSTALL_PREFIX ".")
endif()

include(GNUInstallDirs)
set(CMAKE_INSTALL_DATADIR ${CMAKE_INSTALL_DATAROOTDIR}/crossfire-client)

# Look for required dependencies.
find_package(PkgConfig REQUIRED)
pkg_check_modules(GTK2 gtk+-2.0 gio-2.0 REQUIRED)
find_package(PNG REQUIRED)
find_package(Perl REQUIRED)
find_package(Vala REQUIRED)
find_package(X11 REQUIRED)
include_directories(
    ${GTK2_INCLUDE_DIRS}
    ${PNG_INCLUDE_DIRS}
    ${X11_INCLUDE_DIR}
)
add_definitions(
    ${GTK2_CFLAGS_OTHER}
    ${PNG_DEFINITIONS}
)

include(${VALA_USE_FILE})

# Look for optional dependencies that are enabled using options.
if(LUA)
    find_package(Lua51 REQUIRED)
    include_directories(${LUA_INCLUDE_DIR})
endif()

if(METASERVER2)
    pkg_check_modules(CURL libcurl REQUIRED)
    include_directories(${CURL_INCLUDE_DIRS})
endif()

if(OPENGL)
    find_package(OpenGL REQUIRED)
    include_directories(${OPENGL_INCLUDE_DIR})
endif()

if(SDL)
    pkg_check_modules(SDL SDL_image REQUIRED)
    include_directories(${SDL_INCLUDE_DIR})
endif()

if(SOUND)
    pkg_check_modules(SDLMIXER SDL_mixer REQUIRED)
    include_directories(${SDLMIXER_INCLUDE_DIRS})
endif()

# Set compatibility definitions for Autotools.
set(HAVE_CURL_CURL_H ${CURL_FOUND})
set(HAVE_OPENGL ${OPENGL_FOUND})
set(HAVE_SDL ${SDL_FOUND})

include(CheckIncludeFiles)
set(CMAKE_REQUIRED_INCLUDES ${GTK2_INCLUDE_DIRS})
check_include_files(gio/gnetworking.h HAVE_GIO_GNETWORKING_H)

include(CheckFunctionExists)
check_function_exists(sysconf HAVE_SYSCONF)

configure_file(
    "${PROJECT_SOURCE_DIR}/config.h.in"
    "${PROJECT_BINARY_DIR}/config.h"
)

include_directories(
    ${PROJECT_BINARY_DIR}
    ${PROJECT_BINARY_DIR}/common
    ${PROJECT_SOURCE_DIR}/common
)

add_subdirectory(common)
add_subdirectory(gtk-v2)

if(SOUND)
    add_subdirectory(sound-src)
endif()

enable_testing()

# Build an installation package.
include(InstallRequiredSystemLibraries)
set(CPACK_GENERATOR "ZIP")
set(CPACK_PACKAGE_VERSION "${VERSION}")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
set(CPACK_SOURCE_GENERATOR "TBZ2")
include(CPack)

=== common/CMakeLists.txt ===
add_custom_command(
    OUTPUT def-keys.h
    COMMAND ${PERL_EXECUTABLE}
        ${CMAKE_CURRENT_SOURCE_DIR}/mdk.pl ${CMAKE_CURRENT_SOURCE_DIR}
    DEPENDS def-keys
)

add_custom_command(
    OUTPUT msgtypes.h
    COMMAND ${PERL_EXECUTABLE}
        ${CMAKE_CURRENT_SOURCE_DIR}/msgtypes.pl ${CMAKE_CURRENT_SOURCE_DIR}
    DEPENDS shared/newclient.h
)

# While 'item-types.h' is still under version control, don't build it.
#add_custom_command(
#    OUTPUT item-types.h
#    COMMAND ${PERL_EXECUTABLE}
#        ${CMAKE_CURRENT_SOURCE_DIR}/items.pl ${CMAKE_CURRENT_SOURCE_DIR}
#    DEPENDS item-types
#)

add_library(cfclient
    client.c
    client.h
    commands.c
    def-keys.h
    external.h
    image.c
    init.c
    item.c
    item.h
    mapdata.c
    mapdata.h
    metaserver.c
    metaserver.h
    misc.c
    msgtypes.h
    newsocket.c
    p_cmd.c
    p_cmd.h
    player.c
    proto.h
    script.c
    script.h
    script_lua.c
    shared/newclient.h
    version.h
)

add_executable(test-metaserver test-metaserver.c metaserver.c)
target_link_libraries(test-metaserver ${CURL_LDFLAGS})
add_test(metaserver test-metaserver)

=== sound-src/CMakeLists.txt ===
vala_precompile(VALA_C snd.vala OPTIONS -g GENERATE_HEADER snd)

add_executable(cfsndserv
    ${VALA_C}
    cfsndserv.c
    common.h
    main.c
)

target_link_libraries(cfsndserv
    ${GTK2_LDFLAGS}
    ${SDLMIXER_LDFLAGS}
)

install(TARGETS cfsndserv DESTINATION ${CMAKE_INSTALL_BINDIR})

=== gtk-v2/src/CMakeLists.txt ===
vala_precompile(VALA_C sound-vala.vala OPTIONS -g GENERATE_HEADER client-vala)

add_executable(crossfire-client-gtk2
    ${VALA_C}
    account.c
    config.c
    create_char.c
    gtk2proto.h
    image.c
    image.h
    info.c
    info.h
    inventory.c
    keys.c
    magicmap.c
    main.c
    main.h
    map.c
    menubar.c
    metaserver.c
    opengl.c
    pickup.c
    png.c
    sdl.c
    skills.c
    sound.c
    spells.c
    stats.c
)

target_link_libraries(crossfire-client-gtk2 cfclient
    ${CURL_LDFLAGS}
    ${GTK2_LDFLAGS}
    ${LUA_LIBRARIES}
    ${OPENGL_LIBRARIES}
    ${PNG_LIBRARIES}
    ${SDL_LDFLAGS}
    ${X11_LIBRARIES}
)

if(MINGW OR WIN32)
    target_link_libraries(crossfire-client-gtk2 wsock32)
endif()

install(TARGETS crossfire-client-gtk2 DESTINATION ${CMAKE_INSTALL_BINDIR})

## crossfire-client 1.50.0

=== debian/changelog ===
crossfire-client (1.50.0-2) unstable; urgency=low

  * Install cfsndserv*, not cfsndserv_alsa9 to make kfreebsd land happy.

 -- Kari Pahula <kaol@debian.org>  Thu, 17 Jun 2010 21:55:04 +0300

crossfire-client (1.50.0-1) unstable; urgency=low

  * New upstream release
    + GTK+ v1 and X11 clients removed.
  * Turn crossfire-client-{x11,gtk,gtk2} into metapackages pulling in
    crossfire-client, which package now has the only remaining client, the
    gtk2 one.
  * Don't quote as much in descriptions.  (Closes: #549239)
  * Standards-Version 3.8.4, source/format 3.0 (quilt) and debhelper
    compat 7.
  * Added LIBS=-lX11 to configure's args to make binutils-gold happy.
    (Closes: #554292)
  * Build depend on automake, run autoreconf at build time.

 -- Kari Pahula <kaol@debian.org>  Thu, 17 Jun 2010 18:04:07 +0300

crossfire-client (1.12.0-2) unstable; urgency=low

  * Added missing build dependency: libglade2-dev

 -- Kari Pahula <kaol@debian.org>  Wed, 05 Aug 2009 22:12:55 +0300

crossfire-client (1.12.0-1) unstable; urgency=low

  * New upstream release

 -- Kari Pahula <kaol@debian.org>  Wed, 05 Aug 2009 14:36:12 +0300

crossfire-client (1.11.0-2) unstable; urgency=low

  * Built the original GTK+ client against GTK+ 2.0.  (Closes: #510778)
  * Bumped Standards-Version to 3.8.0, no changes necessary.

 -- Kari Pahula <kaol@debian.org>  Sun, 15 Feb 2009 14:57:47 +0200

crossfire-client (1.11.0-1) unstable; urgency=low

  * New upstream release
  * Use OpenGL support with the GTK+ and GTK+ 2 clients.
  * Cleaned the diff.gz by removing a couple of generated files from under
    sound-src in debian/rules clean.

 -- Kari Pahula <kaol@debian.org>  Wed, 13 Feb 2008 10:13:52 +0200

crossfire-client (1.10.0-1) unstable; urgency=low

  * New upstream release
  * Install the README, README-dev and TODO files specific to the GTK2
    client to the corresponding package.

 -- Kari Pahula <kaol@debian.org>  Fri, 13 Apr 2007 21:15:44 +0300

crossfire-client (1.9.1-2) unstable; urgency=low

  * Clarified the descriptions and dependencies to make the
    crossfire-client package act as a metapackage to install one of the
    GUI clients.  (Closes: #403233)

 -- Kari Pahula <kaol@debian.org>  Fri, 15 Dec 2006 20:28:59 +0200

crossfire-client (1.9.1-1) unstable; urgency=low

  * New upstream release
  * asound [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386] (Closes: #375398)
  * Patched gcfclient2 to make Configure menu option not segfault when no
    existing configuration file is present

 -- Kari Pahula <kaol@debian.org>  Thu,  6 Jul 2006 05:28:42 +0300

crossfire-client (1.9.0-1) unstable; urgency=low

  * New upstream release

 -- Kari Pahula <kaol@iki.fi>  Tue,  7 Mar 2006 17:35:10 +0200

crossfire-client (1.8.0-2) unstable; urgency=low

  * Removed unneeded and obsolete build-dep xlibs-dev.
  * Backported fix for split windows mode from CVS (Closes: #341768)

 -- Kari Pahula <kaol@iki.fi>  Sat, 17 Dec 2005 08:49:34 +0200

crossfire-client (1.8.0-1) unstable; urgency=low

  * New upstream release (closes: #298438)
  * New maintainer
  * Set datadir to /usr/share/games and sounddir to
    /usr/share/games/crossfire/sounds.

 -- Kari Pahula <kaol@iki.fi>  Sat, 20 Aug 2005 23:46:35 +0300

crossfire-client (1.7.0-3) unstable; urgency=low

  * Add build-dep to libsdl-image1.2-dev (closes: #276823)
  * We use cdbs now (closes: #263072)
  
  * Full upstream 1.7.0-2.3 changelog:
    - Small changes to debian/rules to aclocal && automake -ac
       so we regen the files on each platform/architecture
    - Added rules to build the soundef.h file before the actual sound server, see
       http://www.gnu.org/software/automake/manual/html_mono/automake.html#Built%20sources%20example
       for details
    - Moved images to recommends (thanks Todd Mitchell)
    By Robert J. Tanner <tanner@real-time.com>  Tue, 21 Sep 2004 00:11:42 -0500
  
  * Full upstream 1.7.0-2.2 changelog:
  
    - NMU
    - Major clean up of Makefiles
    - Switch debian/rules to cdbs
    - Build package from automake rework CVS branch
    By Robert J. Tanner <tanner@real-time.com>  Mon,  6 Sep 2004 16:23:47 -0500

  * Full upstream changelog for 1.7.0-1.1 for completeness sake:
  
    - NMU
    - New upstream release (closed: #260328)
    - Updated the copyright file, FSF postal address was wrong
    - Make clients depends on crossfire-client-images
    By Robert J. Tanner <tanner@real-time.com>
  
  * Upstream converted debian/rules to use cdbs (closes: #263072) 
   
 -- Jaakko Niemi <liiwi@debian.org>  Tue, 19 Oct 2004 20:50:59 +0300

crossfire-client (1.7.0-2.2) experimental; urgency=low

  * NMU
  * Major clean up of Makefiles
  * Switch debian/rules to cdbs
  * Build package from automake rework CVS branch

 -- Robert J. Tanner <tanner@real-time.com>  Mon,  6 Sep 2004 16:23:47 -0500

crossfire-client (1.7.0-2) unstable; urgency=low

  * New upstream release (closes: #260328)
    based on upstream packaging work. -2 version to make 
    packages installed from upstream repository upgraded to this version.
  * Updated the copyright file, FSF postal address was wrong
  * Make clients suggest crossfire-client-images

 -- Jaakko Niemi <liiwi@debian.org>  Mon,  2 Aug 2004 01:02:44 +0300

crossfire-client (1.6.0-2) unstable; urgency=low

  * update config.{guess,sub} and slap self (closes: 218684)
  * small patch to x11/png.c to fix segfault (closes: #218015, #218674)

 -- Jaakko Niemi <liiwi@debian.org>  Sat, 15 Nov 2003 22:42:35 +0200

crossfire-client (1.6.0-1) unstable; urgency=low

  * New upstream release

 -- Jaakko Niemi <liiwi@debian.org>  Fri, 31 Oct 2003 18:17:55 +0200

crossfire-client (1.5.0-1) unstable; urgency=low

  * New upstream release
  * Remove dependency to xlib6g-dev (closes: #170177)
  * Add /usr/doc symlink cleanup to postinsts (closes: #161858, #161859)

 -- Jaakko Niemi <liiwi@debian.org>  Sun,  9 Mar 2003 23:44:06 +0200

crossfire-client (1.4.0-2) unstable; urgency=low



=== debian/control ===
Source: crossfire-client
Section: games
Priority: optional
Maintainer: Kari Pahula <kaol@debian.org>
Build-Depends: libpng3-dev, libsdl1.2-dev, libsdl-image1.2-dev, debhelper (>= 7), libtool, cdbs (>=0.4.21), libasound2-dev (>= 1.0.4) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libgtk2.0-dev, libcurl4-gnutls-dev, automake, mesa-common-dev, freeglut3-dev, libglade2-dev, libx11-dev
Standards-Version: 3.8.4
Homepage: http://crossfire.real-time.com/

Package: crossfire-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: rplay-server, crossfire-server, crossfire-doc
Recommends: crossfire-client-images, crossfire-client-sounds, rplay-client
Replaces: crossfire-client-gtk2
Breaks: crossfire-client-gtk2 (<< 1.50.0)
Description: Client for the multiplayer roguelike Crossfire
 Crossfire is a multiplayer graphical arcade and adventure game made for
 the X environment.
 .
 It has certain flavours from other games, especially Gauntlet (TM)
 and Nethack/Moria.
 .
 Any number of players can move around in their own window, finding
 and using items and battle monsters.  They can choose to cooperate
 or compete in the same 'world'.
 .
 To play the game you'll need to have access to a local or remote
 server.

Package: crossfire-client-x11
Architecture: all
Depends: crossfire-client, ${misc:Depends}
Description: Metapackage for upgrading obsolete X11 Crossfire clients
 This package is a dummy package used to install GTK+ v2 Crossfire
 client instead of the removed X11 client.
 .
 You may safely remove this package.

Package: crossfire-client-gtk
Architecture: all
Depends: crossfire-client, ${misc:Depends}
Description: Metapackage for upgrading obsolete GTK+ Crossfire clients
 This package is a dummy package used to install GTK+ v2 Crossfire
 client instead of the removed GTK+ client.
 .
 You may safely remove this package.

Package: crossfire-client-gtk2
Architecture: all
Depends: crossfire-client, ${misc:Depends}
Description: Metapackage formerly known as the GTK+ v2 Crossfire client
 As the gtk2 version of the client is the only remaining supported
 client version, it was moved to the crossfire-client package.  This
 dummy package was left in place to pull it in.
 .
 You may safely remove this package.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_EXTRA_FLAGS :=	--bindir=/usr/games --datadir=/usr/share/games --with-sound-dir=/usr/share/games/crossfire/sounds LIBS="-lX11"

clean::
	find . -name Makefile.in -exec rm '{}' ';'
	rm -f utils/config.* utils/depcomp utils/install-sh utils/missing
	rm -f aclocal.m4 configure common/config.h.in
	rm -f macros/pkg.m4 sound-src/sounds sound-src/soundsdef.h

post-patches:: configure

configure:
	autoreconf --install

binary-install/crossfire-client::
	install -pm 0644 gtk-v2/README debian/crossfire-client/usr/share/doc/crossfire-client/README.gtk-v2
	install -pm 0644 gtk-v2/README-dev debian/crossfire-client/usr/share/doc/crossfire-client/README-dev.gtk-v2
	install -pm 0644 gtk-v2/TODO debian/crossfire-client/usr/share/doc/crossfire-client/TODO.gtk-v2

## crossfire-client 1.60.0

=== debian/changelog ===
crossfire-client (1.60.0-3) unstable; urgency=low

  * Standards-Version: 3.9.2 (no changes necessary)
  * Don't try to include removed curl/types.h (Closes: #638380)
  * Don't list individual arches to exclude but use libasound2-dev (>=
    1.0.4) [linux-any] as a build dep (Closes: #634686)

 -- Kari Pahula <kaol@debian.org>  Wed, 14 Sep 2011 18:28:35 +0300

crossfire-client (1.60.0-2) unstable; urgency=low

  * Readd -lX11 to linker flags (Closes: #618049)
  * Install crossfire-client.desktop to /usr/share/applications/

 -- Kari Pahula <kaol@debian.org>  Mon, 28 Mar 2011 19:27:33 +0300

crossfire-client (1.60.0-1) unstable; urgency=low

  * New upstream release
  * Standards-Version 3.9.1 (no changes necessary).
  * Patch configure.ac to enable lua scripting.
  * Removed crossfire-client-{x11,gtk,gkt2} packages.

 -- Kari Pahula <kaol@debian.org>  Sun, 06 Feb 2011 17:27:21 +0200

=== debian/control ===
Source: crossfire-client
Section: games
Priority: optional
Maintainer: Kari Pahula <kaol@debian.org>
Build-Depends: libpng3-dev, libsdl1.2-dev, libsdl-image1.2-dev, debhelper (>= 7), libtool, cdbs (>=0.4.21), libasound2-dev (>= 1.0.4) [linux-any], libgtk2.0-dev, libcurl4-gnutls-dev, automake, mesa-common-dev, freeglut3-dev, libglade2-dev, liblua5.1-0-dev | liblua5.1-dev
Standards-Version: 3.9.2
Homepage: http://crossfire.real-time.com/

Package: crossfire-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: rplay-server, crossfire-server, crossfire-doc
Recommends: crossfire-client-images, crossfire-client-sounds, rplay-client
Replaces: crossfire-client-gtk2
Breaks: crossfire-client-gtk2 (<< 1.50.0)
Description: Client for the multiplayer roguelike Crossfire
 Crossfire is a multiplayer graphical arcade and adventure game made for
 the X environment.
 .
 It has certain flavours from other games, especially Gauntlet (TM)
 and Nethack/Moria.
 .
 Any number of players can move around in their own window, finding
 and using items and battle monsters.  They can choose to cooperate
 or compete in the same 'world'.
 .
 To play the game you'll need to have access to a local or remote
 server.

=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,13 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 
-DEB_CONFIGURE_EXTRA_FLAGS :=	--bindir=/usr/games --datadir=/usr/share/games --with-sound-dir=/usr/share/games/crossfire/sounds LIBS="-lX11"
+DEB_CONFIGURE_EXTRA_FLAGS :=	--bindir=/usr/games --datadir=/usr/share/games --with-sound-dir=/usr/share/games/crossfire/sounds
 
 clean::
 	find . -name Makefile.in -exec rm '{}' ';'
 	rm -f utils/config.* utils/depcomp utils/install-sh utils/missing
 	rm -f aclocal.m4 configure common/config.h.in
-	rm -f macros/pkg.m4 sound-src/sounds sound-src/soundsdef.h
+	rm -f macros/pkg.m4 sound-src/soundsdef.h
 
 post-patches:: configure

## crossfire-client 1.70.0

=== debian/changelog ===
crossfire-client (1.70.0-1) unstable; urgency=low

  * New upstream release
  * Standards-Version 3.9.3 (no changes necessary).
  * Use dh-autoreconf.

 -- Kari Pahula <kaol@debian.org>  Mon, 09 Apr 2012 18:52:20 +0300

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: games
 Priority: optional
 Maintainer: Kari Pahula <kaol@debian.org>
-Build-Depends: libpng3-dev, libsdl1.2-dev, libsdl-image1.2-dev, debhelper (>= 7), libtool, cdbs (>=0.4.21), libasound2-dev (>= 1.0.4) [linux-any], libgtk2.0-dev, libcurl4-gnutls-dev, automake, mesa-common-dev, freeglut3-dev, libglade2-dev, liblua5.1-0-dev | liblua5.1-dev
-Standards-Version: 3.9.2
+Build-Depends: libpng3-dev, libsdl1.2-dev, libsdl-image1.2-dev, debhelper (>= 7), cdbs (>=0.4.21), libasound2-dev (>= 1.0.4) [linux-any], libgtk2.0-dev, libcurl4-gnutls-dev, dh-autoreconf, mesa-common-dev, freeglut3-dev, libglade2-dev, liblua5.1-0-dev | liblua5.1-dev
+Standards-Version: 3.9.3
 Homepage: http://crossfire.real-time.com/
 
 Package: crossfire-client

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_PARALLEL=yes

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

DEB_CONFIGURE_EXTRA_FLAGS :=	--bindir=/usr/games --datadir=/usr/share/games --with-sound-dir=/usr/share/games/crossfire/sounds

binary-install/crossfire-client::
	install -pm 0644 gtk-v2/README debian/crossfire-client/usr/share/doc/crossfire-client/README.gtk-v2
	install -pm 0644 gtk-v2/README-dev debian/crossfire-client/usr/share/doc/crossfire-client/README-dev.gtk-v2
	install -pm 0644 gtk-v2/TODO debian/crossfire-client/usr/share/doc/crossfire-client/TODO.gtk-v2

## crossfire-client 1.71.0

=== debian/changelog ===
crossfire-client (1.71.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Change B-D to libpng-dev (Closes: #809836)
  * Add d/watch from the PTS

 -- Tobias Frost <tobi@debian.org>  Wed, 06 Jan 2016 14:44:13 +0100

crossfire-client (1.71.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version 3.9.5 (no changes necessary).
  * Removed no longer used build-deps libglade2-dev and libasound2-dev.
  * Add build-dep libsdl-mixer1.2-dev.

 -- Kari Pahula <kaol@debian.org>  Wed, 14 May 2014 20:31:31 +0300

=== debian/control ===
Source: crossfire-client
Section: games
Priority: optional
Maintainer: Kari Pahula <kaol@debian.org>
Build-Depends: libpng-dev, libsdl1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, debhelper (>= 7), cdbs (>=0.4.21), libgtk2.0-dev, libcurl4-gnutls-dev, dh-autoreconf, mesa-common-dev, freeglut3-dev, liblua5.1-0-dev | liblua5.1-dev
Standards-Version: 3.9.5
Homepage: http://crossfire.real-time.com/

Package: crossfire-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: crossfire-server, crossfire-doc
Recommends: crossfire-client-images, crossfire-client-sounds
Replaces: crossfire-client-gtk2
Breaks: crossfire-client-gtk2 (<< 1.50.0)
Description: Client for the multiplayer roguelike Crossfire
 Crossfire is a multiplayer graphical arcade and adventure game made for
 the X environment.
 .
 It has certain flavours from other games, especially Gauntlet (TM)
 and Nethack/Moria.
 .
 Any number of players can move around in their own window, finding
 and using items and battle monsters.  They can choose to cooperate
 or compete in the same 'world'.
 .
 To play the game you'll need to have access to a local or remote
 server.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_PARALLEL=yes

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

DEB_CONFIGURE_EXTRA_FLAGS :=	--bindir=/usr/games --datadir=/usr/share/games --enable-lua

binary-install/crossfire-client::
	install -pm 0644 gtk-v2/README debian/crossfire-client/usr/share/doc/crossfire-client/README.gtk-v2
	install -pm 0644 gtk-v2/TODO debian/crossfire-client/usr/share/doc/crossfire-client/TODO.gtk-v2

## crossfire-client 1.72.0

=== debian/changelog ===
crossfire-client (1.72.0-1) unstable; urgency=medium

  * New upstream release
    - Add build-dep: valac.
    - Update debian/rules to invoke cmake and replace dh-autoreconf with
      cmake in build deps.
  * Standards-Version 4.1.0
    - Drop menu file.
  * debian/compat bumped to 10.
  * Removed patches fix_write_socket_cond and configure_lua due to
    upstream source changes.
  * Install icons to /usr/share/icons. (Closes: #737851)
  * Verified that the new cfsndserv version won't crash with Mayhem
    test. (Closes: #715724)

 -- Kari Pahula <kaol@debian.org>  Sun, 17 Sep 2017 19:05:40 +0300

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: games
 Priority: optional
 Maintainer: Kari Pahula <kaol@debian.org>
-Build-Depends: libpng-dev, libsdl1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, debhelper (>= 7), cdbs (>=0.4.21), libgtk2.0-dev, libcurl4-gnutls-dev, dh-autoreconf, mesa-common-dev, freeglut3-dev, liblua5.1-0-dev | liblua5.1-dev
-Standards-Version: 3.9.5
+Build-Depends: libpng-dev, libsdl1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, debhelper (>= 10), cdbs (>=0.4.21), libgtk2.0-dev, libcurl4-gnutls-dev, mesa-common-dev, freeglut3-dev, liblua5.1-0-dev | liblua5.1-dev, valac, cmake
+Standards-Version: 4.1.0
 Homepage: http://crossfire.real-time.com/
 
 Package: crossfire-client

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_PARALLEL=yes
DEB_CMAKE_EXTRA_FLAGS=-DCMAKE_INSTALL_BINDIR=games -DCMAKE_INSTALL_DATAROOTDIR=share/games -DLUA=ON

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

binary-install/crossfire-client::
	install -pm 0644 README.rst debian/crossfire-client/usr/share/doc/crossfire-client/README
	install -pm 0644 gtk-v2/README debian/crossfire-client/usr/share/doc/crossfire-client/README.gtk-v2
	install -pm 0644 gtk-v2/TODO debian/crossfire-client/usr/share/doc/crossfire-client/TODO.gtk-v2
	rm -r debian/crossfire-client/usr/share/games/applications
	mv debian/crossfire-client/usr/share/games/icons debian/crossfire-client/usr/share/icons

## crossfire-client 1.73.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(crossfire-client C)
set(VERSION 1.73.0)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

option(LUA "Lua scripting" OFF)
option(METASERVER2 "Metaserver2 support (requires curl)" ON)
option(OPENGL "OpenGL rendering" ON)
option(SDL "SDL rendering (requires sdl_image)" ON)
option(SOUND "Sound support (requires sdl_mixer)" ON)

set(CMAKE_C_STANDARD 99)
set(CMAKE_C_STANDARD_REQUIRED ON)

if(UNIX)
    # If Linux or other Unix-like, get gio to work by defining _BSD_SOURCE
    add_definitions(-D_BSD_SOURCE)
elseif(MINGW OR WIN32)
    add_definitions(-DWIN32)
    set(CMAKE_INSTALL_PREFIX ".")
endif()

include(GNUInstallDirs)
set(CMAKE_INSTALL_DATADIR ${CMAKE_INSTALL_DATAROOTDIR}/crossfire-client)

# Look for required dependencies.
find_package(PkgConfig REQUIRED)
pkg_check_modules(GTK2 gtk+-2.0 gio-2.0 REQUIRED)
find_package(PNG REQUIRED)
find_package(Perl REQUIRED)
find_package(Vala REQUIRED)
find_package(X11 REQUIRED)
add_definitions(
    ${GTK2_CFLAGS_OTHER}
    ${PNG_DEFINITIONS}
)

include(${VALA_USE_FILE})

# Look for optional dependencies that are enabled using options.
if(LUA)
    find_package(Lua51 REQUIRED)
endif()

if(METASERVER2)
    pkg_check_modules(CURL libcurl REQUIRED)
    set(HAVE_CURL_CURL_H ${CURL_FOUND})
endif()

if(OPENGL)
    find_package(OpenGL REQUIRED)
    set(HAVE_OPENGL ${OPENGL_FOUND})
endif()

if(SDL)
    pkg_check_modules(SDL SDL_image REQUIRED)
    set(HAVE_SDL ${SDL_FOUND})
endif()

if(SOUND)
    pkg_check_modules(SDLMIXER SDL_mixer REQUIRED)
    add_subdirectory(sound-src)
    if(EXISTS "${PROJECT_SOURCE_DIR}/sounds")
        install(DIRECTORY sounds DESTINATION ${CMAKE_INSTALL_DATADIR})
    else()
        message(WARNING "SOUND is enabled, but the sound configuration file "
            "was not found in ${PROJECT_SOURCE_DIR}/sounds. "
            "You will need to install sounds yourself.")
    endif()
endif()

include(CheckIncludeFiles)
set(CMAKE_REQUIRED_INCLUDES ${GTK2_INCLUDE_DIRS})
check_include_files(gio/gnetworking.h HAVE_GIO_GNETWORKING_H)

include(CheckFunctionExists)
check_function_exists(sysconf HAVE_SYSCONF)

configure_file(
    "${PROJECT_SOURCE_DIR}/config.h.in"
    "${PROJECT_BINARY_DIR}/config.h"
)

add_subdirectory(common)
add_subdirectory(gtk-v2)

enable_testing()

# Build an installation package.
include(InstallRequiredSystemLibraries)
set(CPACK_GENERATOR "ZIP")
set(CPACK_PACKAGE_VERSION "${VERSION}")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
set(CPACK_SOURCE_GENERATOR "TBZ2")
set(CPACK_SOURCE_IGNORE_FILES "/build/;.git/;.svn/")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "crossfire-client-${CPACK_PACKAGE_VERSION}")
include(CPack)

=== gtk-v2/src/CMakeLists.txt ===
--- 
+++ 
@@ -28,6 +28,17 @@
     stats.c
 )
 
+target_include_directories(crossfire-client-gtk2
+    PRIVATE ${GTK2_INCLUDE_DIRS}
+            ${OPENGL_INCLUDE_DIR}
+            ${PNG_INCLUDE_DIRS}
+            ${SDLMIXER_INCLUDE_DIRS}
+            ${SDL_INCLUDE_DIR}
+            ${PROJECT_BINARY_DIR}
+            ${PROJECT_BINARY_DIR}/common
+            ${PROJECT_SOURCE_DIR}/common
+)
+
 target_link_libraries(crossfire-client-gtk2 cfclient
     ${CURL_LDFLAGS}
     ${GTK2_LDFLAGS}

=== debian/changelog ===
crossfire-client (1.73.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-version 4.3.0 (no changes necessary).
  * Upstream has included the sounds with the client so add breaks and
    replaces to crossfire-client-sounds.

 -- Kari Pahula <kaol@debian.org>  Fri, 08 Feb 2019 19:56:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Kari Pahula <kaol@debian.org>
 Build-Depends: libpng-dev, libsdl1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, debhelper (>= 10), cdbs (>=0.4.21), libgtk2.0-dev, libcurl4-gnutls-dev, mesa-common-dev, freeglut3-dev, liblua5.1-0-dev | liblua5.1-dev, valac, cmake
-Standards-Version: 4.1.0
+Standards-Version: 4.3.0
 Homepage: http://crossfire.real-time.com/
 
 Package: crossfire-client
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: crossfire-server, crossfire-doc
-Recommends: crossfire-client-images, crossfire-client-sounds
-Replaces: crossfire-client-gtk2
-Breaks: crossfire-client-gtk2 (<< 1.50.0)
+Recommends: crossfire-client-images
+Replaces: crossfire-client-gtk2, crossfire-client-sounds
+Breaks: crossfire-client-gtk2 (<< 1.50.0), crossfire-client-sounds (<< 1.73.0)
 Description: Client for the multiplayer roguelike Crossfire
  Crossfire is a multiplayer graphical arcade and adventure game made for
  the X environment.

=== debian/rules ===
--- 
+++ 
@@ -12,4 +12,5 @@
 	install -pm 0644 gtk-v2/README debian/crossfire-client/usr/share/doc/crossfire-client/README.gtk-v2
 	install -pm 0644 gtk-v2/TODO debian/crossfire-client/usr/share/doc/crossfire-client/TODO.gtk-v2
 	rm -r debian/crossfire-client/usr/share/games/applications
+	rm debian/crossfire-client/usr/share/games/crossfire-client/sounds/COPYING
 	mv debian/crossfire-client/usr/share/games/icons debian/crossfire-client/usr/share/icons

## crossfire-client 1.74.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.1)
 project(crossfire-client C)
-set(VERSION 1.73.0)
+set(VERSION 1.74.0)
 
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

=== common/CMakeLists.txt ===
--- 
+++ 
@@ -48,6 +48,18 @@
     version.h
 )
 
+target_include_directories(cfclient
+    PRIVATE ${CURL_INCLUDE_DIRS}
+            ${GTK2_INCLUDE_DIRS}
+            ${LUA_INCLUDE_DIR}
+            ${PROJECT_BINARY_DIR}
+)
+
 add_executable(test-metaserver test-metaserver.c metaserver.c)
+target_include_directories(test-metaserver
+    PRIVATE ${GTK2_INCLUDE_DIRS}
+            ${PROJECT_BINARY_DIR}
+            ${PROJECT_SOURCE_DIR}/common
+)
 target_link_libraries(test-metaserver ${CURL_LDFLAGS})
 add_test(metaserver test-metaserver)

=== sound-src/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,13 @@
     main.c
 )
 
+target_include_directories(cfsndserv
+    PRIVATE ${GTK2_INCLUDE_DIRS}
+            ${SDLMIXER_INCLUDE_DIRS}
+            ${PROJECT_BINARY_DIR}
+            ${PROJECT_SOURCE_DIR}/common
+)
+
 target_link_libraries(cfsndserv
     ${GTK2_LDFLAGS}
     ${SDLMIXER_LDFLAGS}

=== debian/changelog ===
crossfire-client (1.74.0-2) unstable; urgency=medium

  * Fix FTBFS by deduplicating a variable declaration. (Closes: #957112)
  * Standards-Version 4.5.0 and dh compat 13

 -- Kari Pahula <kaol@debian.org>  Sat, 25 Jul 2020 23:04:57 +0300

crossfire-client (1.74.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version 4.4.1 and dh compat 12
    - Switch debian/rules to dh
  * Rename debian/NEWS.Debian -> debian/NEWS

 -- Kari Pahula <kaol@debian.org>  Wed, 01 Jan 2020 16:25:57 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: games
 Priority: optional
 Maintainer: Kari Pahula <kaol@debian.org>
-Build-Depends: libpng-dev, libsdl1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, debhelper (>= 10), cdbs (>=0.4.21), libgtk2.0-dev, libcurl4-gnutls-dev, mesa-common-dev, freeglut3-dev, liblua5.1-0-dev | liblua5.1-dev, valac, cmake
-Standards-Version: 4.3.0
+Build-Depends: libpng-dev, libsdl1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, debhelper (>= 13), libgtk2.0-dev, libcurl4-gnutls-dev, mesa-common-dev, freeglut3-dev, liblua5.1-0-dev | liblua5.1-dev, valac, cmake
+Standards-Version: 4.4.1
 Homepage: http://crossfire.real-time.com/
 
 Package: crossfire-client

## crossfire-client 1.75.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.1)
 project(crossfire-client C)
-set(VERSION 1.74.0)
+set(VERSION 1.75.0)
 
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
@@ -25,14 +25,15 @@
 set(CMAKE_INSTALL_DATADIR ${CMAKE_INSTALL_DATAROOTDIR}/crossfire-client)
 
 # Look for required dependencies.
+find_program(GLIB_COMPILE_RESOURCES NAMES glib-compile-resources)
 find_package(PkgConfig REQUIRED)
-pkg_check_modules(GTK2 gtk+-2.0 gio-2.0 REQUIRED)
+pkg_check_modules(GTK gtk+-2.0 gio-2.0 REQUIRED)
 find_package(PNG REQUIRED)
 find_package(Perl REQUIRED)
 find_package(Vala REQUIRED)
 find_package(X11 REQUIRED)
 add_definitions(
-    ${GTK2_CFLAGS_OTHER}
+    ${GTK_CFLAGS_OTHER}
     ${PNG_DEFINITIONS}
 )
 
@@ -54,13 +55,12 @@
 endif()
 
 if(SDL)
-    pkg_check_modules(SDL SDL_image REQUIRED)
+    pkg_check_modules(SDL REQUIRED)
     set(HAVE_SDL ${SDL_FOUND})
 endif()
 
 if(SOUND)
     pkg_check_modules(SDLMIXER SDL_mixer REQUIRED)
-    add_subdirectory(sound-src)
     if(EXISTS "${PROJECT_SOURCE_DIR}/sounds")
         install(DIRECTORY sounds DESTINATION ${CMAKE_INSTALL_DATADIR})
     else()
@@ -71,7 +71,7 @@
 endif()
 
 include(CheckIncludeFiles)
-set(CMAKE_REQUIRED_INCLUDES ${GTK2_INCLUDE_DIRS})
+set(CMAKE_REQUIRED_INCLUDES ${GTK_INCLUDE_DIRS})
 check_include_files(gio/gnetworking.h HAVE_GIO_GNETWORKING_H)
 
 include(CheckFunctionExists)

=== common/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,3 @@
-add_custom_command(
-    OUTPUT def-keys.h
-    COMMAND ${PERL_EXECUTABLE}
-        ${CMAKE_CURRENT_SOURCE_DIR}/mdk.pl ${CMAKE_CURRENT_SOURCE_DIR}
-    DEPENDS def-keys
-)
-
 add_custom_command(
     OUTPUT msgtypes.h
     COMMAND ${PERL_EXECUTABLE}
@@ -24,7 +17,6 @@
     client.c
     client.h
     commands.c
-    def-keys.h
     external.h
     image.c
     init.c
@@ -50,14 +42,14 @@
 
 target_include_directories(cfclient
     PRIVATE ${CURL_INCLUDE_DIRS}
-            ${GTK2_INCLUDE_DIRS}
+            ${GTK_INCLUDE_DIRS}
             ${LUA_INCLUDE_DIR}
             ${PROJECT_BINARY_DIR}
 )
 
 add_executable(test-metaserver test-metaserver.c metaserver.c)
 target_include_directories(test-metaserver
-    PRIVATE ${GTK2_INCLUDE_DIRS}
+    PRIVATE ${GTK_INCLUDE_DIRS}
             ${PROJECT_BINARY_DIR}
             ${PROJECT_SOURCE_DIR}/common
 )

=== gtk-v2/src/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,13 @@
-vala_precompile(VALA_C sound-vala.vala OPTIONS -g GENERATE_HEADER client-vala)
+vala_precompile(VALA_C snd.vala OPTIONS -g GENERATE_HEADER client-vala)
+
+add_custom_command(
+    OUTPUT resources.c
+    COMMAND ${GLIB_COMPILE_RESOURCES}
+        --generate-source
+        --target ${CMAKE_CURRENT_BINARY_DIR}/resources.c
+        --sourcedir=${PROJECT_SOURCE_DIR}
+        ${PROJECT_SOURCE_DIR}/resources.xml
+)
 
 add_executable(crossfire-client-gtk2
     ${VALA_C}
@@ -26,10 +35,13 @@
     sound.c
     spells.c
     stats.c
+    sound.h
+    cfsndserv.c
+    resources.c
 )
 
 target_include_directories(crossfire-client-gtk2
-    PRIVATE ${GTK2_INCLUDE_DIRS}
+    PRIVATE ${GTK_INCLUDE_DIRS}
             ${OPENGL_INCLUDE_DIR}
             ${PNG_INCLUDE_DIRS}
             ${SDLMIXER_INCLUDE_DIRS}
@@ -41,11 +53,12 @@
 
 target_link_libraries(crossfire-client-gtk2 cfclient
     ${CURL_LDFLAGS}
-    ${GTK2_LDFLAGS}
+    ${GTK_LDFLAGS}
     ${LUA_LIBRARIES}
     ${OPENGL_LIBRARIES}
     ${PNG_LIBRARIES}
     ${SDL_LDFLAGS}
+    ${SDLMIXER_LDFLAGS}
     ${X11_LIBRARIES}
 )

=== debian/changelog ===
crossfire-client (1.75.0-2) unstable; urgency=medium

  * Patch gtk-v2/src/image.c to fix FTBFS on big endian architectures.

 -- Kari Pahula <kaol@debian.org>  Tue, 09 Feb 2021 21:19:30 +0200

crossfire-client (1.75.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.5.1

 -- Kari Pahula <kaol@debian.org>  Mon, 25 Jan 2021 21:05:17 +0200

=== debian/control ===
Source: crossfire-client
Section: games
Priority: optional
Maintainer: Kari Pahula <kaol@debian.org>
Build-Depends: libpng-dev, libsdl1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, debhelper (>= 13), libgtk2.0-dev, libcurl4-gnutls-dev, mesa-common-dev, freeglut3-dev, liblua5.1-0-dev | liblua5.1-dev, valac, cmake
Standards-Version: 4.5.1
Homepage: http://crossfire.real-time.com/

Package: crossfire-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: crossfire-server, crossfire-doc
Recommends: crossfire-client-images
Replaces: crossfire-client-gtk2, crossfire-client-sounds
Breaks: crossfire-client-gtk2 (<< 1.50.0), crossfire-client-sounds (<< 1.73.0)
Description: Client for the multiplayer roguelike Crossfire
 Crossfire is a free, open-source, cooperative multi-player RPG and
 adventure game. Since its initial release, Crossfire has grown to
 encompass over 150 monsters, 3000 areas to explore, an elaborate
 magic system, 13 races, 15 character classes, and many powerful
 artifacts scattered far and wide. Set in a fantastical medieval
 world, it blends the style of Gauntlet, NetHack, Moria, and Angband.
 .
 To play the game you'll need to have access to a local or remote
 server.

=== debian/watch ===
version=3
http://sf.net/crossfire \
(?:|.*/)crossfire-client(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## crossfire-client 1.75.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,11 @@
 cmake_minimum_required(VERSION 3.1)
 project(crossfire-client C)
-set(VERSION 1.75.0)
+set(VERSION 1.75.3)
 
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
 option(LUA "Lua scripting" OFF)
 option(METASERVER2 "Metaserver2 support (requires curl)" ON)
-option(OPENGL "OpenGL rendering" ON)
-option(SDL "SDL rendering (requires sdl_image)" ON)
 option(SOUND "Sound support (requires sdl_mixer)" ON)
 
 set(CMAKE_C_STANDARD 99)
@@ -15,7 +13,7 @@
 
 if(UNIX)
     # If Linux or other Unix-like, get gio to work by defining _BSD_SOURCE
-    add_definitions(-D_BSD_SOURCE)
+    add_definitions(-D_DEFAULT_SOURCE)
 elseif(MINGW OR WIN32)
     add_definitions(-DWIN32)
     set(CMAKE_INSTALL_PREFIX ".")
@@ -39,6 +37,10 @@
 
 include(${VALA_USE_FILE})
 
+# By default, silence warnings about deprecated definitions. We know we're
+# using deprecated GTK functions; these just clutter more important warnings.
+add_compile_options(-Wno-deprecated-declarations)
+
 # Look for optional dependencies that are enabled using options.
 if(LUA)
     find_package(Lua51 REQUIRED)
@@ -49,18 +51,8 @@
     set(HAVE_CURL_CURL_H ${CURL_FOUND})
 endif()
 
-if(OPENGL)
-    find_package(OpenGL REQUIRED)
-    set(HAVE_OPENGL ${OPENGL_FOUND})
-endif()
-
-if(SDL)
-    pkg_check_modules(SDL REQUIRED)
-    set(HAVE_SDL ${SDL_FOUND})
-endif()
-
 if(SOUND)
-    pkg_check_modules(SDLMIXER SDL_mixer REQUIRED)
+    pkg_check_modules(SDLMIXER SDL2_mixer REQUIRED)
     if(EXISTS "${PROJECT_SOURCE_DIR}/sounds")
         install(DIRECTORY sounds DESTINATION ${CMAKE_INSTALL_DATADIR})
     else()
@@ -92,7 +84,7 @@
 set(CPACK_GENERATOR "ZIP")
 set(CPACK_PACKAGE_VERSION "${VERSION}")
 set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
-set(CPACK_SOURCE_GENERATOR "TBZ2")
+set(CPACK_SOURCE_GENERATOR "TGZ")
 set(CPACK_SOURCE_IGNORE_FILES "/build/;.git/;.svn/")
 set(CPACK_SOURCE_PACKAGE_FILE_NAME "crossfire-client-${CPACK_PACKAGE_VERSION}")
 include(CPack)

=== gtk-v2/src/CMakeLists.txt ===
--- 
+++ 
@@ -27,10 +27,8 @@
     map.c
     menubar.c
     metaserver.c
-    opengl.c
     pickup.c
     png.c
-    sdl.c
     skills.c
     sound.c
     spells.c
@@ -41,25 +39,24 @@
 )
 
 target_include_directories(crossfire-client-gtk2
-    PRIVATE ${GTK_INCLUDE_DIRS}
-            ${OPENGL_INCLUDE_DIR}
+    PRIVATE ${PROJECT_BINARY_DIR}
+            ${PROJECT_BINARY_DIR}/common
+            ${PROJECT_SOURCE_DIR}/common
+            ${GTK_INCLUDE_DIRS}
             ${PNG_INCLUDE_DIRS}
             ${SDLMIXER_INCLUDE_DIRS}
             ${SDL_INCLUDE_DIR}
-            ${PROJECT_BINARY_DIR}
-            ${PROJECT_BINARY_DIR}/common
-            ${PROJECT_SOURCE_DIR}/common
 )
 
 target_link_libraries(crossfire-client-gtk2 cfclient
     ${CURL_LDFLAGS}
     ${GTK_LDFLAGS}
     ${LUA_LIBRARIES}
-    ${OPENGL_LIBRARIES}
     ${PNG_LIBRARIES}
     ${SDL_LDFLAGS}
     ${SDLMIXER_LDFLAGS}
     ${X11_LIBRARIES}
+    m # math
 )
 
 if(MINGW OR WIN32)

=== debian/changelog ===
crossfire-client (1.75.3-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.7.0 (no changes necessary).
  * Replace debian/compat with dependency on debhelper-compat.
  * Remove no longer needed gtk-v2/src/image.c patch.
  * Update build dep libsdl-mixer1.2-dev to libsdl2-mixer-dev.
  * Remove included man page for cfsndserv that upstream no longer uses.
  * Patch common/newsocket.c to increase a buffer to avoid overflows.

 -- Kari Pahula <kaol@debian.org>  Tue, 30 Apr 2024 15:03:42 +0300

=== debian/control ===
Source: crossfire-client
Section: games
Priority: optional
Maintainer: Kari Pahula <kaol@debian.org>
Build-Depends: debhelper-compat (= 13), libpng-dev, libsdl1.2-dev, libsdl-image1.2-dev, libsdl2-mixer-dev, debhelper (>= 13), libgtk2.0-dev, libcurl4-gnutls-dev, mesa-common-dev, freeglut3-dev, liblua5.1-0-dev | liblua5.1-dev, valac, cmake
Standards-Version: 4.7.0
Homepage: https://crossfire.real-time.com/

Package: crossfire-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: crossfire-server, crossfire-doc
Recommends: crossfire-client-images
Description: Client for the multiplayer roguelike Crossfire
 Crossfire is a free, open-source, cooperative multi-player RPG and
 adventure game. Since its initial release, Crossfire has grown to
 encompass over 150 monsters, 3000 areas to explore, an elaborate
 magic system, 13 races, 15 character classes, and many powerful
 artifacts scattered far and wide. Set in a fantastical medieval
 world, it blends the style of Gauntlet, NetHack, Moria, and Angband.
 .
 To play the game you'll need to have access to a local or remote
 server.

## crossfire-client 1.75.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-cmake_minimum_required(VERSION 3.1)
+cmake_minimum_required(VERSION 3.5)
 project(crossfire-client C)
-set(VERSION 1.75.3)
+set(VERSION 1.75.5)
 
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
@@ -66,9 +66,6 @@
 set(CMAKE_REQUIRED_INCLUDES ${GTK_INCLUDE_DIRS})
 check_include_files(gio/gnetworking.h HAVE_GIO_GNETWORKING_H)
 
-include(CheckFunctionExists)
-check_function_exists(sysconf HAVE_SYSCONF)
-
 configure_file(
     "${PROJECT_SOURCE_DIR}/config.h.in"
     "${PROJECT_BINARY_DIR}/config.h"

=== common/CMakeLists.txt ===
--- 
+++ 
@@ -41,10 +41,10 @@
 )
 
 target_include_directories(cfclient
-    PRIVATE ${CURL_INCLUDE_DIRS}
+    PRIVATE ${PROJECT_BINARY_DIR}
+            ${CURL_INCLUDE_DIRS}
             ${GTK_INCLUDE_DIRS}
             ${LUA_INCLUDE_DIR}
-            ${PROJECT_BINARY_DIR}
 )
 
 add_executable(test-metaserver test-metaserver.c metaserver.c)

=== gtk-v2/CMakeLists.txt ===
add_subdirectory(src)

install(DIRECTORY themes ui DESTINATION ${CMAKE_INSTALL_DATADIR})

install(FILES crossfire-client.desktop
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)

foreach(size 16 32 48)
    install(FILES ../pixmaps/${size}x${size}.png
        DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/${size}x${size}/apps
        RENAME crossfire-client.png)
endforeach()

=== debian/changelog ===
crossfire-client (1.75.5-1) unstable; urgency=medium

  * New upstream release. (Closes: #1112814)
  * Standards-Version 4.7.2 (no changes necessary).
  * Put Debian packaging to git.
  * Update build dependency on SDL to libsdl2-dev. (Closes: #1038178)
  * Remove patch on common/newsocket.c which has been fixed upstream.

 -- Kari Pahula <kaol@debian.org>  Sat, 06 Sep 2025 23:15:35 +0300

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,24 @@
 Section: games
 Priority: optional
 Maintainer: Kari Pahula <kaol@debian.org>
-Build-Depends: debhelper-compat (= 13), libpng-dev, libsdl1.2-dev, libsdl-image1.2-dev, libsdl2-mixer-dev, debhelper (>= 13), libgtk2.0-dev, libcurl4-gnutls-dev, mesa-common-dev, freeglut3-dev, liblua5.1-0-dev | liblua5.1-dev, valac, cmake
-Standards-Version: 4.7.0
+Build-Depends:
+	debhelper-compat (= 13),
+	libpng-dev,
+	libsdl2-dev,
+	libsdl2-image-dev,
+	libsdl2-mixer-dev,
+	debhelper (>= 13),
+	libgtk2.0-dev,
+	libcurl4-gnutls-dev,
+	mesa-common-dev,
+	freeglut3-dev,
+	liblua5.1-0-dev | liblua5.1-dev,
+	valac,
+	cmake,
+Standards-Version: 4.7.2
 Homepage: https://crossfire.real-time.com/
+Vcs-Browser: https://salsa.debian.org/debian/crossfire-client
+Vcs-Git: https://salsa.debian.org/debian/crossfire-client.git
 
 Package: crossfire-client
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_BINDIR=games -DCMAKE_INSTALL_DATAROOTDIR=share/games -DLUA=ON

override_dh_install:
	dh_install
	install -Dpm 0644 README.rst debian/crossfire-client/usr/share/doc/crossfire-client/README
	install -Dpm 0644 gtk-v2/README debian/crossfire-client/usr/share/doc/crossfire-client/README.gtk-v2
	install -Dpm 0644 gtk-v2/TODO debian/crossfire-client/usr/share/doc/crossfire-client/TODO.gtk-v2
	rm -r debian/crossfire-client/usr/share/games/applications
	rm debian/crossfire-client/usr/share/games/crossfire-client/sounds/COPYING
	mv debian/crossfire-client/usr/share/games/icons debian/crossfire-client/usr/share/icons
